## libamrnb 7.0.0.2-1

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/amrnb
pkglibdir = $(libdir)/amrnb
pkgincludedir = $(includedir)/amrnb
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnu
host_triplet = arm-unknown-linux-gnu
bin_PROGRAMS = amrnb-decoder$(EXEEXT) amrnb-encoder$(EXEEXT) \
	amrnb-decoder-if2$(EXEEXT) amrnb-encoder-if2$(EXEEXT) \
	amrnb-decoder-etsi$(EXEEXT) amrnb-encoder-etsi$(EXEEXT) \
	amrnb-decoder$(EXEEXT) amrnb-encoder-vad2$(EXEEXT) \
	amrnb-encoder-if2-vad2$(EXEEXT) \
	amrnb-encoder-etsi-vad2$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(libamrnb_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/amrnb.spec.in $(srcdir)/prepare_sources.sh.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	TODO compile config.guess config.sub depcomp install-sh \
	ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/advanced_shell.m4 \
	$(top_srcdir)/m4/downloader_prog.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = amrnb.spec prepare_sources.sh
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(libamrnbdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libamrnb_la_LIBADD =
am_libamrnb_la_OBJECTS = interf_dec.lo interf_enc.lo sp_dec.lo \
	sp_enc.lo
libamrnb_la_OBJECTS = $(am_libamrnb_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_amrnb_decoder_OBJECTS = decoder.$(OBJEXT)
amrnb_decoder_OBJECTS = $(am_amrnb_decoder_OBJECTS)
amrnb_decoder_DEPENDENCIES = libamrnb.la
am_amrnb_decoder_etsi_OBJECTS = amrnb_decoder_etsi-decoder.$(OBJEXT)
amrnb_decoder_etsi_OBJECTS = $(am_amrnb_decoder_etsi_OBJECTS)
amrnb_decoder_etsi_DEPENDENCIES = libamrnb.la
am_amrnb_decoder_if2_OBJECTS = amrnb_decoder_if2-decoder.$(OBJEXT)
amrnb_decoder_if2_OBJECTS = $(am_amrnb_decoder_if2_OBJECTS)
amrnb_decoder_if2_DEPENDENCIES = libamrnb.la
am_amrnb_encoder_OBJECTS = encoder.$(OBJEXT)
amrnb_encoder_OBJECTS = $(am_amrnb_encoder_OBJECTS)
amrnb_encoder_DEPENDENCIES = libamrnb.la
am_amrnb_encoder_etsi_OBJECTS = amrnb_encoder_etsi-encoder.$(OBJEXT)
amrnb_encoder_etsi_OBJECTS = $(am_amrnb_encoder_etsi_OBJECTS)
amrnb_encoder_etsi_DEPENDENCIES = libamrnb.la
am_amrnb_encoder_etsi_vad2_OBJECTS =  \
	amrnb_encoder_etsi_vad2-encoder.$(OBJEXT)
amrnb_encoder_etsi_vad2_OBJECTS =  \
	$(am_amrnb_encoder_etsi_vad2_OBJECTS)
amrnb_encoder_etsi_vad2_DEPENDENCIES = libamrnb.la
am_amrnb_encoder_if2_OBJECTS = amrnb_encoder_if2-encoder.$(OBJEXT)
amrnb_encoder_if2_OBJECTS = $(am_amrnb_encoder_if2_OBJECTS)
amrnb_encoder_if2_DEPENDENCIES = libamrnb.la
am_amrnb_encoder_if2_vad2_OBJECTS =  \
	amrnb_encoder_if2_vad2-encoder.$(OBJEXT)
amrnb_encoder_if2_vad2_OBJECTS = $(am_amrnb_encoder_if2_vad2_OBJECTS)
amrnb_encoder_if2_vad2_DEPENDENCIES = libamrnb.la
am_amrnb_encoder_vad2_OBJECTS = amrnb_encoder_vad2-encoder.$(OBJEXT)
amrnb_encoder_vad2_OBJECTS = $(am_amrnb_encoder_vad2_OBJECTS)
amrnb_encoder_vad2_DEPENDENCIES = libamrnb.la
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libamrnb_la_SOURCES) $(amrnb_decoder_SOURCES) \
	$(amrnb_decoder_etsi_SOURCES) $(amrnb_decoder_if2_SOURCES) \
	$(amrnb_encoder_SOURCES) $(amrnb_encoder_etsi_SOURCES) \
	$(amrnb_encoder_etsi_vad2_SOURCES) \
	$(amrnb_encoder_if2_SOURCES) $(amrnb_encoder_if2_vad2_SOURCES) \
	$(amrnb_encoder_vad2_SOURCES)
DIST_SOURCES = $(libamrnb_la_SOURCES) $(amrnb_decoder_SOURCES) \
	$(amrnb_decoder_etsi_SOURCES) $(amrnb_decoder_if2_SOURCES) \
	$(amrnb_encoder_SOURCES) $(amrnb_encoder_etsi_SOURCES) \
	$(amrnb_encoder_etsi_vad2_SOURCES) \
	$(amrnb_encoder_if2_SOURCES) $(amrnb_encoder_if2_vad2_SOURCES) \
	$(amrnb_encoder_vad2_SOURCES)
libamrnbHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libamrnb_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/maemo/amrnb-7.0.0.2/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/maemo/amrnb-7.0.0.2/missing --run tar
AR = ar
AS = as
ASH = 
AUTOCONF = ${SHELL} /home/maemo/amrnb-7.0.0.2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/maemo/amrnb-7.0.0.2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/maemo/amrnb-7.0.0.2/missing --run automake-1.9
AWK = gawk
BASH = /bin/bash
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"amrnb\" -DPACKAGE_TARNAME=\"amrnb\" -DPACKAGE_VERSION=\"7.0.0.2\" -DPACKAGE_STRING=\"amrnb\ 7.0.0.2\" -DPACKAGE_BUGREPORT=\"Stanislav\ Brabec\ \<utx@penguin.cz\>\" -DPACKAGE=\"amrnb\" -DVERSION=\"7.0.0.2\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_FLOAT_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STDINT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_FLOOR=1 -DHAVE_MEMSET=1 -DHAVE_SQRT=1 -DHAVE_STRTOL=1
DEPDIR = .deps
DLLTOOL = dlltool
DOWNLOADER_PROG = /scratchbox/tools/bin/wget -N
DOWNLOADER_PROG_CMD = /scratchbox/tools/bin/wget
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lm 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/maemo/amrnb-7.0.0.2/missing --run makeinfo
OBJDUMP = objdump
OBJEXT = o
PACKAGE = amrnb
PACKAGE_BUGREPORT = Stanislav Brabec <utx@penguin.cz>
PACKAGE_NAME = amrnb
PACKAGE_STRING = amrnb 7.0.0.2
PACKAGE_TARNAME = amrnb
PACKAGE_VERSION = 7.0.0.2
PARAMETER_EXPANSION_STRING_REPLACE_CAPABLE_SHELL = /bin/bash
PATCH = /scratchbox/tools/bin/patch
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UNZIP = /scratchbox/tools/bin/unzip
VERSION = 7.0.0.2
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/maemo/amrnb-7.0.0.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = amrnb-any-cflags.patch amrnb-intsizes.patch amrnb-strict-aliasing.patch amrnb.spec
DISTCLEANFILES = 26104-700.zip 26104-700.doc 26104-700_ANSI_C_source_code.zip
lib_LTLIBRARIES = \
	libamrnb.la

libamrnb_la_SOURCES = \
	interf_dec.c \
	interf_enc.c \
	sp_dec.c \
	sp_enc.c

libamrnb_la_LDFLAGS = \
	-no-undefined -version-info 3:0:0

libamrnbdir = \
	$(includedir)/amrnb

libamrnb_HEADERS = \
	interf_dec.h \
	interf_enc.h \
	interf_rom.h \
	rom_dec.h \
	rom_enc.h \
	sp_dec.h \
	sp_enc.h \
	typedef.h

amrnb_decoder_SOURCES = \
	decoder.c

amrnb_decoder_LDADD = \
	libamrnb.la

amrnb_encoder_SOURCES = \
	encoder.c

amrnb_encoder_LDADD = \
	libamrnb.la

amrnb_decoder_if2_SOURCES = \
	decoder.c

amrnb_decoder_if2_CFLAGS = -DIF2
amrnb_decoder_if2_LDADD = \
	libamrnb.la

amrnb_encoder_if2_SOURCES = \
	encoder.c

amrnb_encoder_if2_CFLAGS = -DIF2
amrnb_encoder_if2_LDADD = \
	libamrnb.la

amrnb_decoder_etsi_SOURCES = \
	decoder.c

amrnb_decoder_etsi_CFLAGS = -DETSI
amrnb_decoder_etsi_LDADD = \
	libamrnb.la

amrnb_encoder_etsi_SOURCES = \
	encoder.c

amrnb_encoder_etsi_CFLAGS = -DETSI
amrnb_encoder_etsi_LDADD = \
	libamrnb.la

amrnb_encoder_vad2_SOURCES = \
	encoder.c

amrnb_encoder_vad2_CFLAGS = -DVAD2
amrnb_encoder_vad2_LDADD = \
	libamrnb.la

amrnb_encoder_if2_vad2_SOURCES = \
	encoder.c

amrnb_encoder_if2_vad2_CFLAGS = -DIF2 -DVAD2
amrnb_encoder_if2_vad2_LDADD = \
	libamrnb.la

amrnb_encoder_etsi_vad2_SOURCES = \
	encoder.c

amrnb_encoder_etsi_vad2_CFLAGS = -DETSI -DVAD2
amrnb_encoder_etsi_vad2_LDADD = \
	libamrnb.la

ACLOCAL_AMFLAGS = -I m4
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \

=== debian/changelog ===
libamrnb (7.0.0.2-1) stable; urgency=low

  * Quick build

 -- Andy1210 <andy1210@gmail.com>  Thu, 19 Dec 2010 16:02:23 +0100

=== debian/control ===
Source: libamrnb
Section: libs
Priority: extra
Maintainer: Andy1210 <andy1210@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.3

Package: libamrnb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AMRnb Codec as Shared Library
XB-Maemo-Display-Name: AMRnb Codec

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libamrnb.sgml > libamrnb.1
	
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libamrnb.
	# $(MAKE) DESTDIR="$(CURDIR)/debian/libamrnb" install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libamrnb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
